<?php

use EventPortal\Domain\Component\Button;
use EventPortal\Domain\User\Models\User;
use EventPortal\Domain\Util\Menu\Facades\Menu;
use EventPortal\Domain\Util\Menu\Link;
use EventPortal\Enums\InertiaMethod;

Menu::make('dashboard')
    ->addLinks(function (User $user) {
        return [
            Link::make($user->full_name)
                ->route('account.index')
                ->icon('chevron-right', 'right'),
        ];
    })
    ->addButtons(function () {
        return [
            Button::make('Sign out')
                ->method(InertiaMethod::POST())
                ->route('logout.submit')
                ->variant('secondary')
                ->icon('logout', 'right')
                ->white(),
        ];
    });
